---
title: "Utwórz utarg dzienny"
description: "Zakres: `api:invoices:write`."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.niebieskiorzel.pl/llms.txt
> Use this file to discover all available pages before exploring further.

Path: inFakt API › Utarg dzienny

`POST /daily_revenues.json`

Zakres: `api:invoices:write`.

## Authentication

Requires one of the following:

- `ApiKey`, apiKey, in header, header `X-inFakt-ApiKey`
- `Token`, apiKey, in header, header `X-Token`

## Request body

_Required._

- `daily_revenue` (`DailyRevenues_create.daily_revenue`; object, required)
  - `issue_date` (`DailyRevenues_create.daily_revenue.issue_date`; string, required)
    - format `date`
  - `vat_exemption_reason` (`DailyRevenues_create.daily_revenue.vat_exemption_reason`; integer, required) — Wymagane, chyba że konto ma domyślną podstawę zwolnienia z VAT. Zobacz `GET /vat_exemptions.json`.
    - format `int64`
  - `number` (`DailyRevenues_create.daily_revenue.number`; string, optional)
  - `description` (`DailyRevenues_create.daily_revenue.description`; string, optional)
  - `notes` (`DailyRevenues_create.daily_revenue.notes`; string, optional)
  - `services` (`DailyRevenues_create.daily_revenue.services`; array<object>, optional)
    - `quantity` (`DailyRevenues_create.daily_revenue.services.quantity`; number, optional)
      - format `double`
    - `unit_price` (`DailyRevenues_create.daily_revenue.services.unit_price`; integer, optional) — Kwota w groszach (1/100 PLN). `12300` oznacza 123,00 PLN.
      - format `int64`
    - `total_price` (`DailyRevenues_create.daily_revenue.services.total_price`; integer, optional) — Kwota w groszach (1/100 PLN). `12300` oznacza 123,00 PLN.
      - format `int64`
    - `flat_rate_tax_symbol` (`DailyRevenues_create.daily_revenue.services.flat_rate_tax_symbol`; string, optional)

## Example requests

### Utworzenie

```json
{
  "daily_revenue": {
    "issue_date": "2026-10-01",
    "description": "Utarg dzienny",
    "vat_exemption_reason": 1,
    "services": [
      {
        "quantity": 1,
        "unit_price": 45000,
        "total_price": 45000,
        "flat_rate_tax_symbol": "8.5"
      }
    ]
  }
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.sandbox-infakt.pl/v3/daily_revenues.json \
  --header 'Content-Type: application/json' \
  --header 'X-inFakt-ApiKey: <X-inFakt-ApiKey>' \
  --data '
{
  "daily_revenue": {
    "issue_date": "2026-10-01",
    "description": "Utarg dzienny",
    "vat_exemption_reason": 1,
    "services": [
      {
        "quantity": 1,
        "unit_price": 45000,
        "total_price": 45000,
        "flat_rate_tax_symbol": "8.5"
      }
    ]
  }
}
'
```

### TypeScript

```typescript
const url = 'https://api.sandbox-infakt.pl/v3/daily_revenues.json';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', 'X-inFakt-ApiKey': '<X-inFakt-ApiKey>'},
  body: JSON.stringify({
    daily_revenue: {
      issue_date: '2026-10-01',
      description: 'Utarg dzienny',
      vat_exemption_reason: 1,
      services: [
        {
          quantity: 1,
          unit_price: 45000,
          total_price: 45000,
          flat_rate_tax_symbol: '8.5'
        }
      ]
    }
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sandbox-infakt.pl/v3/daily_revenues.json"

payload = { "daily_revenue": {
        "issue_date": "2026-10-01",
        "description": "Utarg dzienny",
        "vat_exemption_reason": 1,
        "services": [
            {
                "quantity": 1,
                "unit_price": 45000,
                "total_price": 45000,
                "flat_rate_tax_symbol": "8.5"
            }
        ]
    } }
headers = {
    "Content-Type": "application/json",
    "X-inFakt-ApiKey": "<X-inFakt-ApiKey>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Utworzono

#### Example

```json
{
  "id": 3003,
  "uuid": "9c0d1e2f-3a4b-4c5d-8e6f-7a8b9c0d1e2f",
  "description": "Utarg dzienny",
  "issue_date": "2026-10-01",
  "notes": null,
  "number": "1/UD/10/2026",
  "status": "draft",
  "vat_exemption_reason": 1,
  "services": [
    {
      "quantity": 1,
      "unit_price": 45000,
      "total_price": 45000,
      "flat_rate_tax_symbol": "8.5"
    }
  ],
  "ksef_data": null,
  "related_exchange_differences_internal_evidences": {}
}
```

- `id` (`DailyRevenues_create.response.201.id`; integer, required)
  - format `int64`
- `uuid` (`DailyRevenues_create.response.201.uuid`; string, required)
  - format `uuid`
- `description` (`DailyRevenues_create.response.201.description`; any of, required)
  - any of: `string`, `null`
- `issue_date` (`DailyRevenues_create.response.201.issue_date`; string, required)
  - format `date`
- `notes` (`DailyRevenues_create.response.201.notes`; any of, required)
  - any of: `string`, `null`
- `number` (`DailyRevenues_create.response.201.number`; string, required)
- `status` (`DailyRevenues_create.response.201.status`; string, required) — `draft` dla nowych wpisów.
- `vat_exemption_reason` (`DailyRevenues_create.response.201.vat_exemption_reason`; integer, required) — Id podstawy zwolnienia z VAT. Zobacz `GET /vat_exemptions.json`.
  - format `int64`
- `services` (`DailyRevenues_create.response.201.services`; array<object>, required)
  - `quantity` (`DailyRevenues_create.response.201.services.quantity`; number, required)
    - format `double`
  - `unit_price` (`DailyRevenues_create.response.201.services.unit_price`; integer, required) — Kwota w groszach (1/100 PLN). `12300` oznacza 123,00 PLN.
    - format `int64`
  - `total_price` (`DailyRevenues_create.response.201.services.total_price`; integer, required) — Kwota w groszach (1/100 PLN). `12300` oznacza 123,00 PLN.
    - format `int64`
  - `flat_rate_tax_symbol` (`DailyRevenues_create.response.201.services.flat_rate_tax_symbol`; any of, optional) — Występuje tylko u ryczałtowców.
    - any of: `string`, `null`
- `ksef_data` (`DailyRevenues_create.response.201.ksef_data`; null, required)
- `related_exchange_differences_internal_evidences` (`DailyRevenues_create.response.201.related_exchange_differences_internal_evidences`; object, required) — Zawsze pusty obiekt.
- `parent_invoice_data` (`DailyRevenues_create.response.201.parent_invoice_data`; null, optional) — Tylko w odpowiedzi `get`; zawsze `null`.

### 401

Brak klucza API, nieprawidłowy klucz albo klucz bez wymaganego zakresu uprawnień.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.401.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.401.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.401.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.401.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.401.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.401.action_url`; string, optional)

### 402

API niedostępne w obecnym planie (`limit: plan_upgrade_needed`) albo osiągnięty limit dokumentów.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.402.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.402.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.402.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.402.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.402.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.402.action_url`; string, optional)

### 406

Ścieżka nie kończy się na `.json`.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.406.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.406.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.406.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.406.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.406.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.406.action_url`; string, optional)

### 422

Walidacja nie powiodła się; szczegóły w `errors`.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.422.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.422.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.422.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.422.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.422.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.422.action_url`; string, optional)

### 423

Niepotwierdzony adres e-mail albo wymagana weryfikacja tożsamości.

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.423.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.423.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.423.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.423.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.423.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.423.action_url`; string, optional)

### 429

Przekroczony limit zapytań. Komunikat jest po angielsku, np. `API rate limit exceeded. Try again in 60 seconds.`

#### Example

```json
{
  "error": "Zasób którego szukasz nie został znaleziony."
}
```

- `error` (`DailyRevenues_create.response.429.error`; any of, optional) — Komunikat po polsku (po angielsku dla `429`). Niektóre akcje zamiast jednego tekstu zwracają listę komunikatów albo błędy walidacji według pól.
  - any of: `string`, `array<string>`, `object`
- `errors` (`DailyRevenues_create.response.429.errors`; any of, optional) — Błędy walidacji według nazw pól API; na niektórych endpointach zwykły komunikat.
  - any of: `object`, `string`
- `limit` (`DailyRevenues_create.response.429.limit`; string, optional) — Kod limitu planu, np. `limit_exceeded`, `plan_upgrade_needed`, `cant_add_client`.
- `type` (`DailyRevenues_create.response.429.type`; string, optional)
  - one of `"redirect"`, `"email_not_confirmed"`
- `url` (`DailyRevenues_create.response.429.url`; string, optional)
- `action_url` (`DailyRevenues_create.response.429.action_url`; string, optional)


Source: https://docs.niebieskiorzel.pl/api/daily-revenues-json/create/index.md
